Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.client.remote.ejb
Class NestedApplicationModuleImpl

`java.lang.Object
oracle.jbo.client.remote.ejb.ApplicationModuleDelegate
oracle.jbo.client.remote.ejb.NestedApplicationModuleImpl`

public class NestedApplicationModuleImpl
extends ApplicationModuleDelegate

Constructor Summary
`protected` | `NestedApplicationModuleImpl(EJBApplicationModuleImpl am, ResponseValues handle)`

Method Summary
`protected ApplicationModuleImpl` | `createProxyApplicationModule(ResponseValues handle)`
`ServiceMessage` | `doMessage(ServiceMessage msg)`
`protected boolean` | `isMarshalledLocally()`
`void` | `riRemove()`

Methods inherited from class oracle.jbo.client.remote.ejb.ApplicationModuleDelegate
`getAMFullRef, getEJBApplicationModuleImpl, getObjectMarshaller, getRootEJBApplicationModuleImpl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NestedApplicationModuleImpl

    protected NestedApplicationModuleImpl(EJBApplicationModuleImpl am,
                                          ResponseValues handle)

Method Detail

### createProxyApplicationModule

    protected ApplicationModuleImpl createProxyApplicationModule(ResponseValues handle)

  Specified by:
    `createProxyApplicationModule` in class `ApplicationModuleDelegate`

### isMarshalledLocally

    protected boolean isMarshalledLocally()

  Specified by:
    `isMarshalledLocally` in class `ApplicationModuleDelegate`

### doMessage

    public ServiceMessage doMessage(ServiceMessage msg)

  Specified by:
    `doMessage` in class `ApplicationModuleDelegate`

### riRemove

    public void riRemove()

  Specified by:
    `riRemove` in class `ApplicationModuleDelegate`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.